# Ignore
# Part of Dolby
# Dependencies: AUXIL.TCL

set IgnoreWhois 0
set UnIgnoreWhois 0
set IgnoreFlag "Set by Dolby IGNORE"

alias UNIGNORE {
	set nick [lindex [args] 0]
	set UnIgnoreWhois 1
	whois $nick
	complete
	}

alias IGNORE {
	set nick [lindex [args] 0]
	set IgnoreWhois 1
	whois $nick
	complete
	}

on WHOIS {
	if { $IgnoreWhois == 1 } {
		set IgnoreWhois 0
		set hmask [host]
		set uIndex [add_user [getHostType 8 [nick] [user] $hmask]]
		set_user $uIndex "Ignore" "All"
		set_user $uIndex "Notes" $IgnoreFlag
		echo "\aF2-Now ignoring [nick]-"
		}
	if { $UnIgnoreWhois == 1 } {
		set UnIgnoreWhois 0
		set hmask [host]
		set uIndex [find_user [getHostType 8 [nick] [user] $hmask]]
		if { $uIndex == -1 } { 
			echo "\aF2-User [nick] is not being ignored." 
			complete 
			}
		if { [get_user $uIndex "Notes"] == $IgnoreFlag } {
			delete_user $uIndex
			echo "\aF2-Removed user [nick]-"
			} else {
			set_user $uIndex "Ignore" "None"
			echo "\aF2-User [nick] is no longer being ignored-"
			}		
		}
	}
	
		
		